Problemas con Atmega328p y Arduino IDE

Hola, el caso es que tengo ubuntu 8.04 64 bits y el IDE de Arduino 0012 y hasta ahora todo perfecto con el atmega168 de mi arduino diecimila. Compré unos cuantos Atmega328p con el bootloader precargado y se lo puse en el zócalo de la placa. Al darle a cargar el programa en la placa me salta el siguiente error:

Problem uploading to board. See http://www.arduino.cc/en/guide/troubleshooting#upload for suggestions.

avrdude: stk500_recv(): programmer is not responding avrdude: stk500_recv(): programmer is not responding

Por lo que parece que tendré que instalar el avrdude más reciente que el que tengo (v 5.5) pero no tengo muy claro como hacer esto.

El avr-gcc que tengo ya soporta el atmega328 (4.3).

Alguna idea?

Muchas gracias y un saludo.